import AuthConfiguration from '../src/AuthConfiguration';

test('parse', () => {
  const obj = {
    registry: 'http://neither-here-nor-there',
    username: 'guess-who',
    password: 'guessed wrong'
  };

  const auth = AuthConfiguration.parse(obj);

  expect(auth.registry).toEqual(obj.registry);
  expect(auth.username).toEqual(obj.username);
  expect(auth.password).toEqual(obj.password);
});

test('parse null', () => {
  const auth = AuthConfiguration.parse(null);
  expect(auth).toBeNull();
});
